Fork me on GitHub
Subscribe 2

Ticket #153 (fixed enhancement)

Tidy up install/upgrade messages

  • Created: 2010-10-01 23:33:27
  • Reported by: Reines
  • Assigned to: Reines
  • Milestone: 1.4.3
  • Component: usability
  • Priority: low

When FluxBB needs installed it simply says:

The file 'config.php' doesn't exist or is corrupt. Please run install.php to install FluxBB first.

Instead, it would be nice to have a proper introduction with information about FluxBB, along with the option to choose which language the install script should use.

The same should apply with a database upgrade.

History

taylorchu 2010-10-02 06:35:15

I agree. The original explanation of missing config.php is too intimidating to new user.

maybe we should have a summary of "http://fluxbb.org/about/" and a button that proceeds to "install.php" and "db_update.php"

Reines 2010-10-16 14:45:57

I've made a start on this. It doesn't give much information, but its nicer looking than the plain text, and it allows selecting which language the install script should be displayed in.

Reines 2010-10-20 19:06:01

Commit 80c599c to fluxbb fluxbb-1.4

Adding a more user friendly update required message, and forcing the admin to enter the database password to perform a database update. #30 and #153.

Reines 2010-10-20 19:15:38

  • Status changed from open to fixed.

I have now also tidied up the update message slightly.

http://github.com/fluxbb/fluxbb/commit/ … 76cf6ffc48